################################################################################
# Define target
################################################################################
TARGET = main

all: $(TARGET)


################################################################################
# Extra includes & libraries
################################################################################
EXTRAINC = -I../common

EXTRALDLIBS += ../common/libcommon.a 


################################################################################
# Include Makefile.common
################################################################################
.PHONY: ../common/libcommon.a
../common/libcommon.a:
	@cd ../common && $(MAKE) common

ROOT=../..
include $(ROOT)/Makefile.common